Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis
Class AbstractMessageReader

    java.lang.Object
      org.codehaus.xfire.aegis.AbstractMessageReader

All Implemented Interfaces:
  MessageReader

Direct Known Subclasses:
  AttributeReader, ElementReader, YOMReader

    public abstract class AbstractMessageReader

extends java.lang.Object
implements MessageReader

Basic type conversions for reading messages.

Author:
  Dan Diephouse

Constructor Summary
`AbstractMessageReader()`

Method Summary
`boolean` | `getValueAsBoolean()`
`double` | `getValueAsDouble()`
`float` | `getValueAsFloat()`
`int` | `getValueAsInt()`
`long` | `getValueAsLong()`
`boolean` | `hasValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.aegis.MessageReader
`getLocalName, getName, getNamespace, getNextAttributeReader, getNextElementReader, getValue, hasMoreAttributeReaders, hasMoreElementReaders`

Constructor Detail

### AbstractMessageReader

    public AbstractMessageReader()

Method Detail

### hasValue

    public boolean hasValue()

### getValueAsInt

    public int getValueAsInt()

  Specified by:
    `getValueAsInt` in interface `MessageReader`
  See Also:
    `MessageReader.getValueAsInt()`

### getValueAsLong

    public long getValueAsLong()

  Specified by:
    `getValueAsLong` in interface `MessageReader`
  See Also:
    `MessageReader.getValueAsLong()`

### getValueAsDouble

    public double getValueAsDouble()

  Specified by:
    `getValueAsDouble` in interface `MessageReader`
  See Also:
    `MessageReader.getValueAsDouble()`

### getValueAsFloat

    public float getValueAsFloat()

  Specified by:
    `getValueAsFloat` in interface `MessageReader`
  See Also:
    `MessageReader.getValueAsFloat()`

### getValueAsBoolean

    public boolean getValueAsBoolean()

  Specified by:
    `getValueAsBoolean` in interface `MessageReader`
  See Also:
    `MessageReader.getValueAsBoolean()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.